import { error } from '@sveltejs/kit';
import type { UserSession } from './users';
import { hasPrivileges, type RequiredPrivileges } from '$lib/utils';

export class AdminUtils {
	static checkPrivileges(session: UserSession, privileges: RequiredPrivileges): void {
		if (!session.privileges?.length || !hasPrivileges(session.privileges, privileges)) {
			error(403, 'Forbidden resource');
		}
	}
}
