import { DATABASE_DB, DATABASE_HOST, DATABASE_PASS } from '$env/static/private';
import { drizzle } from 'drizzle-orm/mysql2';
import mysql from 'mysql2/promise';
import * as schema from './schema';

const connection = await mysql.createConnection({
	host: DATABASE_HOST,
	user: DATABASE_PASS,
	password: DATABASE_PASS,
	database: DATABASE_DB
});

export const db = drizzle(connection, { schema, mode: 'default' });
export * from './schema';
