import { PUBLIC_SITE_NAME } from '$env/static/public';
import type { EmailTemplate } from '../template.interface';

export const InvitationEmail = (url: string): EmailTemplate => ({
	text: `
${PUBLIC_SITE_NAME}

Please click on the following link to create an account on ${PUBLIC_SITE_NAME}.

Create your account here: ${url}

This email was sent to you because you have requested an account on ${PUBLIC_SITE_NAME}. If you did not request this, you may safely ignore this email.
  `,
	html: /* html */ `
<h1>${PUBLIC_SITE_NAME}</h1>

<p><b>Please click on the following link to create an account on ${PUBLIC_SITE_NAME}.</b></p>

<p>Create your account here: <a href="${url}" target="_blank">${url}</a></p>

<p>This email was sent to you because you have requested an account on ${PUBLIC_SITE_NAME}. If you did not request this, you may safely ignore this email.</p>
  `
});
