import { JWT_ALGORITHM, JWT_ISSUER } from '$env/static/private';
import { PUBLIC_URL } from '$env/static/public';
import { ApiUtils } from '$lib/server/api-utils';

export const GET = async () =>
	ApiUtils.json({
		issuer: JWT_ISSUER,
		authorization_endpoint: `${PUBLIC_URL}/oauth2/authorize`,
		token_endpoint: `${PUBLIC_URL}/oauth2/token`,
		jwks_uri: `${PUBLIC_URL}/.well-known/jwks.json`,
		userinfo_endpoint: `${PUBLIC_URL}/api/user`,
		introspection_endpoint: `${PUBLIC_URL}/oauth2/introspect`,
		response_types_supported: ['code', 'id_token'],
		id_token_signing_alg_values_supported: [JWT_ALGORITHM],
		subject_types_supported: ['public'],
		scopes_supported: ['openid', 'profile', 'picture', 'email'],
		claims_supported: [
			'aud',
			'exp',
			'iat',
			'iss',
			'sub',
			'name',
			'preferred_username',
			'nickname',
			'picture',
			'updated_at',
			'email',
			'email_verified'
		],
		code_challenge_methods_supported: ['plain', 'S256'],
		grant_types_supported: ['authorization_code', 'refresh_token']
	});
