import { OAuth2Error } from '$lib/server/oauth2/error.js';
import { OAuth2Response } from '$lib/server/oauth2/response.js';
import { OAuth2TokenController } from '$lib/server/oauth2/controller/token.js';

export const POST = async ({ request, url }) => {
	try {
		return await OAuth2TokenController.postHandler({ request, url });
	} catch (error) {
		if (error instanceof OAuth2Error) {
			return OAuth2Response.error(url, error);
		}
		throw error;
	}
};
